
Infrastructure - Task #1969

Story # 1966 (Closed): CNs should keep all replica MNs up to date with SystemMetadata changes

Add MNStorage.updateSystemMetadata() method to documentation

2011-11-01 17:23 - Chris Jones

Status: Closed Start date: 2011-11-01

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.46-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In order for the CN to keep MNs up to date with regard to current system metadata, the MN needs to allow updates of their current

system metadata store.  Add MNStorage.updateSystemMetadata().  

History

#1 - 2011-11-01 17:56 - Robert Waltz

- Subject changed from Add MNStorage.updateSystemMetadata() method to Add MNStorage.updateSystemMetadata() method to documentation

- Category changed from d1_common_java to Documentation

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#2 - 2011-11-03 20:45 - Dave Vieglais

- Status changed from New to Closed

This was added as MNStorage.systemMetadataChanged(), a method called by the CN to indicate that system metadata for an object has been

changed.
